2025-07-19 00:48:10 UTC
296 MB
/usr/java/openjdk-25
JAVA_VERSION25-ea+32
LANGC.UTF-8
PATH/usr/java/openjdk-25/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:62efe2b176c92f37277da6309751ea5c05404dae5248eb1ae91c01e5a9bffb71 - 15.94% (47.2 MB)
[#001] sha256:9fb840ad859ede60bae085862120522f610162445b6fba00d25c94d144bc9a8b - 12.24% (36.2 MB)
[#002] sha256:895222dcd38e1324e7e57e3f38d2c6f27ec8bd822da5de0c06e172b49790621a - 71.83% (213 MB)
ADD oraclelinux-9-slim-amd64-rootfs.tar.xz / # buildkit
2025-07-16 17:17:10 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2025-07-19 00:48:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2025-07-19 00:48:10 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-25
2025-07-19 00:48:10 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-25/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2025-07-19 00:48:10 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2025-07-19 00:48:10 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=25-ea+32
2025-07-19 00:48:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk25/32/GPL/openjdk-25-ea+32_linux-x64_bin.tar.gz'; downloadSha256='a741d5735dc5ce8ad5c77a7e1ce53b73e9c360b3da2e0f090c48f723b82f256a'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk25/32/GPL/openjdk-25-ea+32_linux-aarch64_bin.tar.gz'; downloadSha256='2e52b2485e0c452ccf9b911c9d62c4e496fa62a9d7b0dcf9ccfb55d1aa0fd91a'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2025-07-19 00:48:10 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
2025-07-21 20:32:27 UTC
3.46 GB
C:\openjdk-25
JAVA_SHA256da2325251fd317e2d1e60816e8161b25524bafefc1dd8599e1c7486a4625cb0f
JAVA_URLhttps://download.java.net/java/early_access/jdk25/32/GPL/openjdk-25-ea+32_windows-x64_bin.zip
JAVA_VERSION25-ea+32
[#000] sha256:1317fe15185685e9cd27f7542cd96f4847343401288a8b6798273a4ac60844eb - 59.7% (2.06 GB)
[#001] sha256:49ebc78effce2335b8fe04c34f5f1f3e33e513d5a7831fa81718af6737b3d654 - 34.38% (1.19 GB)
[#002] sha256:d217adc57f26568b9cd9caf9aaf6dcbb53ec280951969290a6f6a65f54fb0da5 - 0.0% (1.3 KB)
[#003] sha256:d6e754f082c4a483fdf2b0a8a68635a22a8177419d5d095c794771fc6f102d04 - 0.01% (393 KB)
[#004] sha256:24b381b3e453df56374d7b2ab8eff251ba26396b3757a06931c23db9df08e4a8 - 0.0% (1.33 KB)
[#005] sha256:f2b1090aa55e5730c018f3dab4f3c60f1ebc95505a74fa40eb2aad69f5bed3da - 0.01% (374 KB)
[#006] sha256:6c746633abf9a02b6151e2e28249bc7f6c805a88bfa2bbbc38bbe42dc65e14e4 - 0.0% (1.26 KB)
[#007] sha256:dd1f6d9918244b0751ae977bc85dffce2261da2873fcf92f03bb46c761f2b974 - 0.0% (1.29 KB)
[#008] sha256:330d9de764a6151049e8b656dabe2725809edbd6a018b464eda959e7512b65b4 - 0.0% (1.28 KB)
[#009] sha256:ba1d9d15126ee68a71462bd76dc7eb5a67165f62d1c5bfb3bf49fc15b5d7975f - 5.9% (209 MB)
[#010] sha256:f99d0e6f6874c075503dc6fcf1718c59e1b4b6dbff4c091af4c334492b2d2c97 - 0.0% (1.29 KB)
Apply image 10.0.26100.2605
2025-07-05 18:40:54 UTCInstall update 10.0.26100.4652
2025-07-21 20:31:54 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2025-07-21 20:32:01 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2025-07-21 20:32:01 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-25
2025-07-21 20:32:07 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2025-07-21 20:32:07 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=25-ea+32
2025-07-21 20:32:08 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk25/32/GPL/openjdk-25-ea+32_windows-x64_bin.zip
2025-07-21 20:32:08 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=da2325251fd317e2d1e60816e8161b25524bafefc1dd8599e1c7486a4625cb0f
2025-07-21 20:32:26 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2025-07-21 20:32:27 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2025-07-21 20:28:05 UTC
2.33 GB
C:\openjdk-25
JAVA_SHA256da2325251fd317e2d1e60816e8161b25524bafefc1dd8599e1c7486a4625cb0f
JAVA_URLhttps://download.java.net/java/early_access/jdk25/32/GPL/openjdk-25-ea+32_windows-x64_bin.zip
JAVA_VERSION25-ea+32
[#000] sha256:2534953f34d35976fc44cd67bfdd39fdcd9e2eaae57ada0be53d5fb936cd3a0b - 58.48% (1.36 GB)
[#001] sha256:b829944a73d1d8ad37eaa13c64bf9189b6895cc5b45b79bb3563fa325d94b6a7 - 32.73% (780 MB)
[#002] sha256:071aa92c5c30882e2658c2caebee5b6529d82e4a94b857f46e556f55298418d2 - 0.0% (1.26 KB)
[#003] sha256:0094215ed889895a842636ffa18e11c6f4618cdd1f1e433b2444d15be53b4b20 - 0.01% (340 KB)
[#004] sha256:d55dd99cee81e5902e2260e9ff6943095914eeec2d0d2568c8e8b9972812d290 - 0.0% (1.26 KB)
[#005] sha256:18a9914a33b9cb423b8710ff25ed6aab048c0dead83c0053d95ec93ee73138a0 - 0.01% (326 KB)
[#006] sha256:c63892132a3fa3862527a580f4332becd0bf485fbecac60708a2c612824ca7d1 - 0.0% (1.26 KB)
[#007] sha256:d7dbbb1e61385cd92d1a06a6ec1c2b12d7466a37b6a925d78bd9700320b4eefa - 0.0% (1.25 KB)
[#008] sha256:6f1de35732b1d9f0494ca5de5613816e0814fc5c454660765c5e942b81aef558 - 0.0% (1.26 KB)
[#009] sha256:bb3f8ceadbe9c6a723979a590e4caf678ae86873e360c438d141cfc11a1651d6 - 8.76% (209 MB)
[#010] sha256:7aeddddb5ae5abe0bc41def185389a69a10821d5b425fcb32307119f00f0872d - 0.0% (1.26 KB)
Apply image 10.0.20348.2700
2025-07-05 05:31:06 UTCInstall update 10.0.20348.3932
2025-07-21 20:26:36 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2025-07-21 20:26:57 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2025-07-21 20:26:58 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-25
2025-07-21 20:27:06 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2025-07-21 20:27:08 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=25-ea+32
2025-07-21 20:27:09 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk25/32/GPL/openjdk-25-ea+32_windows-x64_bin.zip
2025-07-21 20:27:11 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=da2325251fd317e2d1e60816e8161b25524bafefc1dd8599e1c7486a4625cb0f
2025-07-21 20:28:03 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2025-07-21 20:28:05 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2025-07-19 00:48:10 UTC
293 MB
/usr/java/openjdk-25
JAVA_VERSION25-ea+32
LANGC.UTF-8
PATH/usr/java/openjdk-25/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:66c8c73e9d3ddec4caf44e8ca16bc4b2439766527a7859053e41d6c2ce35e8f5 - 15.64% (45.9 MB)
[#001] sha256:b0b9a1be6652a88335432a3661c3d694a9f1860a9f24a143675ac0167411ef56 - 12.52% (36.7 MB)
[#002] sha256:88cd2fbb5cf043a2d8f3e87a7d84b18495a20859e2c05a5c48f4d5540af73932 - 71.84% (211 MB)
ADD oraclelinux-9-slim-arm64v8-rootfs.tar.xz / # buildkit
2025-07-16 17:18:10 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2025-07-19 00:48:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2025-07-19 00:48:10 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-25
2025-07-19 00:48:10 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-25/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2025-07-19 00:48:10 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2025-07-19 00:48:10 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=25-ea+32
2025-07-19 00:48:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk25/32/GPL/openjdk-25-ea+32_linux-x64_bin.tar.gz'; downloadSha256='a741d5735dc5ce8ad5c77a7e1ce53b73e9c360b3da2e0f090c48f723b82f256a'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk25/32/GPL/openjdk-25-ea+32_linux-aarch64_bin.tar.gz'; downloadSha256='2e52b2485e0c452ccf9b911c9d62c4e496fa62a9d7b0dcf9ccfb55d1aa0fd91a'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2025-07-19 00:48:10 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.